# BUYAddress Class Reference

Inherits from | BUYObject : NSObject
Conforms to | BUYSerializable
Declared in | BUYAddress.h

## Overview

A BUYAddress represents a shipping or billing address on an order. This will be associated with the customer upon completion.

## Other Methods

### `address1`

The street address of the address.

`@property (nonatomic, copy) NSString *address1`

#### Declared In

`BUYAddress.h`

### `address2`

An optional additional field for the street address of the address.

`@property (nonatomic, copy) NSString *address2`

#### Declared In

`BUYAddress.h`

### `city`

The city of the address.

`@property (nonatomic, copy) NSString *city`

#### Declared In

`BUYAddress.h`

### `company`

The company of the person associated with the address (optional).

`@property (nonatomic, copy) NSString *company`

#### Declared In

`BUYAddress.h`

### `firstName`

The first name of the person associated with the payment method.

`@property (nonatomic, copy) NSString *firstName`

#### Declared In

`BUYAddress.h`

### `lastName`

The last name of the person associated with the payment method.

`@property (nonatomic, copy) NSString *lastName`

#### Declared In

`BUYAddress.h`

### `phone`

The phone number at the address.

`@property (nonatomic, copy) NSString *phone`

#### Declared In

`BUYAddress.h`

### `country`

The name of the country of the address.

`@property (nonatomic, copy) NSString *country`

#### Declared In

`BUYAddress.h`

### `countryCode`

The two-letter code (ISO 3166-1 alpha-2 two-letter country code) for the country of the address.

`@property (nonatomic, copy) NSString *countryCode`

#### Declared In

`BUYAddress.h`

### `province`

The name of the state or province of the address

`@property (nonatomic, copy) NSString *province`

#### Declared In

`BUYAddress.h`

### `provinceCode`

The two-letter abbreviation of the state or province of the address.

`@property (nonatomic, copy) NSString *provinceCode`

#### Declared In

`BUYAddress.h`

### `zip`

The zip or postal code of the address.

`@property (nonatomic, copy) NSString *zip`

#### Declared In

`BUYAddress.h`

## ApplePay Methods

### `+ buy_addressFromRecord:`

Creates a BUYAddress from an ABRecordRef

`+ (nonnull BUYAddress *)buy_addressFromRecord:(nullable ABRecordRef)record`

#### Parameters

`record` | ABRecordRef to create a BUYAddress from

#### Return Value

The BUYAddress created from an ABRecordRef

#### Declared In

`BUYApplePayAdditions.h`

### `+ buy_addressFromContact:`

Creates a BUYAddress from a PKContact

`+ (nonnull BUYAddress *)buy_addressFromContact:(nullable PKContact *)contact`

#### Parameters

`contact` | PKContact to create a BUYAddress from

#### Return Value

The BUYAddress created from a PKContact

#### Declared In

`BUYApplePayAdditions.h`